#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	List
%define		pnam	MoreUtils
Summary:	List::MoreUtils - provide the stuff missing in List::Util
Summary(pl.UTF-8):	List::MoreUtils - dostarczenie elementów brakujących w List::Util
Name:		perl-List-MoreUtils
Version:	0.419
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/List/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0a5462045de148c807d3f18e5074064f
URL:		http://search.cpan.org/dist/List-MoreUtils/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.86
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Exporter-Tiny >= 0.038
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
List::MoreUtils provides some trivial but commonly needed
functionality on lists which is not going to go into List::Util.

All of the below functions are implementable in one line of Perl code.
Using the functions from this module however should give slightly
better performance as everything is implemented in C. The pure-Perl
implementation of these functions only serves as a fallback in case
the C portions of this module couldn't be compiled on this machine.

%description -l pl.UTF-8
List::MoreUtils dostarcza prostych, ale często potrzebnych funkcji do
operacji na listach - elementy, które nie zostaną dołączone do
List::Util.

Wszystkie z funkcji są możliwe do implementowania w jednej linijce
kodu Perla. Używanie funkcji z tego modułu może jednak dać odrobinę
większą wydajność jako, że całość została napisana w C. Implementacja
napisana w Perlu służy w sytuacjach wyjątkowych w przypadkach, gdy
elementy modułu napisane w C nie mogą zostać skompilowane na maszynie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/List
%{perl_vendorlib}/List/MoreUtils.pm
%{perl_vendorlib}/List/MoreUtils
%{_mandir}/man3/List::MoreUtils*.3pm*
%changelog
* Fri Feb 23 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-List-MoreUtils.git;a=log;h=780d4de9d5f0f83ef62d5b3e405f7d978d51b824

* Mon Jun 12 2017 Jan Rękorajski <baggins@pld-linux.org> 780d4de
- up to 0.419
- noarch, XS has been moved to separate package upstream

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e65a570
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> dd553e9
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sat Nov 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 33c691f
- updated to 0.416

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7718dda
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 53870b5
- up to 0.413

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2cb68a5
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> cd5ddb3
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 9a2e44e
- updated to 0.403

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7a7a484
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> de0af48
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> edb09f2
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2939aec
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 8d1f8f4
- more perl BRs, unified CPAN source URL

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> cbed697
- up to 0.33

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 0ceff4f
- updated to 0.30

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> f774079
- release 6

* Sat Jun 05 2010 radek <radek@pld-linux.org> 28de8fa
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 956caf6
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 7e71d50
- release 3

